import { TrackingApi, TrackingEventProperties } from './tracking_api';
import { InitProps, TrackingSpi } from './tracking_spi';
export declare class SegmentTrackingProvider implements TrackingSpi, TrackingApi {
    private analytics;
    getKey(): string;
    initialize(props: InitProps): void;
    identify(userID: string): void;
    trackPageView(url: string | undefined): void;
    trackSingleItem(item: string, properties?: TrackingEventProperties): void;
}
